Compare commits

...

45 Commits

Author SHA1 Message Date
repo-ranger[bot]
8a7336fb6f Merge pull request #817 from tj-actions/chore/fix-error-locating-last-remote-commit-sha
chore: fix error locating last remote commit sha
2022-11-18 13:46:28 +00:00
Tonye Jack
bf097488b7 Update diff-sha.sh 2022-11-18 06:28:49 -07:00
Tonye Jack
fad01cd373 chore: fix error locating last remote commit sha 2022-11-18 06:17:59 -07:00
repo-ranger[bot]
5b0b92e859 Merge pull request #816 from tj-actions/dependabot/github_actions/hmarr/auto-approve-action-3
Bump hmarr/auto-approve-action from 2 to 3
2022-11-18 02:09:44 +00:00
Tonye Jack
dc7e117725 Update auto-approve.yml 2022-11-17 18:52:13 -07:00
dependabot[bot]
f4f55124a4 Bump hmarr/auto-approve-action from 2 to 3
Bumps [hmarr/auto-approve-action](https://github.com/hmarr/auto-approve-action) from 2 to 3.
- [Release notes](https://github.com/hmarr/auto-approve-action/releases)
- [Commits](https://github.com/hmarr/auto-approve-action/compare/v2...v3)

---
updated-dependencies:
- dependency-name: hmarr/auto-approve-action
  dependency-type: direct:production
  update-type: version-update:semver-major
...

Signed-off-by: dependabot[bot] <support@github.com>
2022-11-18 01:02:07 +00:00
repo-ranger[bot]
b86dc28fcb Merge pull request #815 from tj-actions/upgrade-to-v34.4.3
Upgraded to v34.4.3
2022-11-17 21:11:53 +00:00
repo-ranger[bot]
c6cd9a4c8b Merge branch 'main' into upgrade-to-v34.4.3 2022-11-17 20:43:28 +00:00
repo-ranger[bot]
62974b6c9c Merge pull request #814 from tj-actions/chore/update-readme
Updated README.md
2022-11-17 20:42:12 +00:00
jackton1
f76843a802 Upgraded from v34.4.2 -> v34.4.3 2022-11-17 20:19:19 +00:00
repo-ranger[bot]
fb362d4f10 Updated README.md 2022-11-17 20:16:14 +00:00
repo-ranger[bot]
3996bc3fde Merge pull request #810 from tj-actions/fix/pulling-current-branch-history
fix: pulling current branch history
2022-11-17 20:15:36 +00:00
Tonye Jack
7b68fcd082 Update diff-sha.sh 2022-11-17 12:59:15 -07:00
repo-ranger[bot]
c8dc4b69b8 Merge branch 'main' into fix/pulling-current-branch-history 2022-11-17 19:34:46 +00:00
Tonye Jack
0265ed819d Update README.md 2022-11-17 12:33:38 -07:00
Tonye Jack
96ce8da4f6 Update diff-sha.sh 2022-11-17 12:32:34 -07:00
Tonye Jack
2ed48aa52f Update diff-sha.sh 2022-11-17 12:25:27 -07:00
Tonye Jack
434c3eaa98 Merge branch 'main' into fix/pulling-current-branch-history 2022-11-17 12:19:28 -07:00
Tonye Jack
0efacabbb5 Update diff-sha.sh 2022-11-17 12:05:17 -07:00
Tonye Jack
61fac4da4b Updated diff-sha.sh 2022-11-17 08:28:46 -07:00
Tonye Jack
6ea66cc129 Updated diff-sha.sh 2022-11-17 08:24:46 -07:00
Tonye Jack
30b9252953 Updated diff-sha.sh 2022-11-17 08:16:17 -07:00
Tonye Jack
3b10cebd3d Update diff-sha.sh 2022-11-16 21:06:22 -07:00
repo-ranger[bot]
171e4353ac Merge pull request #811 from tj-actions/chore/update-readme
Updated README.md
2022-11-16 19:15:40 +00:00
jackton1
1882e2f481 Updated README.md 2022-11-16 18:53:06 +00:00
Tonye Jack
0c4c0c47b8 Update README.md 2022-11-16 11:52:30 -07:00
Tonye Jack
fe3a37012f Update action.yml 2022-11-16 11:46:53 -07:00
Tonye Jack
fe47f7dc4c fix: pulling current branch history 2022-11-16 11:29:35 -07:00
repo-ranger[bot]
61e93c8aeb Merge pull request #808 from tj-actions/upgrade-to-v34.4.2
Upgraded to v34.4.2
2022-11-15 21:19:52 +00:00
jackton1
73e225f69c Upgraded from v34.4.1 -> v34.4.2 2022-11-15 20:30:41 +00:00
repo-ranger[bot]
ef0a29048c Merge pull request #806 from tj-actions/fix/bug-with-retrieving-the-last-remote-commit
fix: bug with retrieving the last remote commit
2022-11-15 18:42:00 +00:00
Tonye Jack
e447432ead Update diff-sha.sh 2022-11-15 11:11:36 -07:00
Tonye Jack
4203489288 Update diff-sha.sh 2022-11-15 11:08:51 -07:00
Tonye Jack
e7e332ee69 Update sync-release-version.yml 2022-11-15 10:50:44 -07:00
Tonye Jack
1bf2487713 Update test.yml 2022-11-15 10:45:13 -07:00
Tonye Jack
07952792bb Update test.yml 2022-11-15 10:43:14 -07:00
Tonye Jack
3e827ae4d1 Update diff-sha.sh 2022-11-15 10:38:56 -07:00
Tonye Jack
839d5701db fix: bug with retrieving the last remote commit 2022-11-15 10:29:27 -07:00
repo-ranger[bot]
3ebdc42d8b Merge pull request #804 from tj-actions/fix/bug-finding-merge-base
fix: finding merge-base
2022-11-15 17:16:30 +00:00
repo-ranger[bot]
747f9e656c Merge branch 'main' into fix/bug-finding-merge-base 2022-11-15 16:44:39 +00:00
Tonye Jack
9d429cc7ac Merge pull request #805 from tj-actions/chore/update-sync-release-version-yml
chore: update sync-release-version.yml
2022-11-15 09:43:25 -07:00
Tonye Jack
b04424611d chore: update sync-release-version.yml 2022-11-15 09:41:55 -07:00
Tonye Jack
4f5723a9fe fix: finding merge-base 2022-11-15 09:31:41 -07:00
Tonye Jack
d362fea453 Merge pull request #800 from tj-actions/upgrade-to-v34.4.0 2022-11-11 09:58:40 -07:00
jackton1
22ede94fe5 Upgraded from v34.3.4 -> v34.4.0 2022-11-11 16:47:16 +00:00
6 changed files with 142 additions and 62 deletions

View File

@@ -3,11 +3,12 @@ name: Auto approve
on:
pull_request_target
jobs:
auto-approve:
runs-on: ubuntu-latest
steps:
- uses: hmarr/auto-approve-action@v2
- uses: hmarr/auto-approve-action@v3
if: |
(
github.event.pull_request.user.login == 'dependabot[bot]' ||

View File

@@ -27,6 +27,8 @@ jobs:
uses: actions/checkout@v3
- name: shellcheck
uses: reviewdog/action-shellcheck@v1.15
with:
github_token: ${{ secrets.PAT_TOKEN }}
test-multiple-repositories:
name: Test with multiple repositories
@@ -929,7 +931,7 @@ jobs:
with:
branch: ${{ steps.branch-name.outputs.base_ref_branch }}
workflow_id: 'test.yml'
github_token: ${{ secrets.GITHUB_TOKEN }}
github_token: ${{ secrets.PAT_TOKEN }}
- name: Run changed-files with a custom base sha
if: github.event_name == 'pull_request' && github.event.action != 'closed'
id: changed-files-custom-base-sha

View File

@@ -1,12 +1,79 @@
# Changelog
## [Unreleased](https://github.com/tj-actions/changed-files/tree/HEAD)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.3...HEAD)
**Fixed bugs:**
- `increase the fetch_depth to a number higher than 5000` [\#812](https://github.com/tj-actions/changed-files/issues/812)
- \[BUG\] changed-files v34.4.2 unable to locate a common ancestor [\#809](https://github.com/tj-actions/changed-files/issues/809)
## [v34.4.3](https://github.com/tj-actions/changed-files/tree/v34.4.3) (2022-11-17)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.4.3)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-11-17)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.2...v34)
**Fixed bugs:**
- \[BUG\] diff-sha.sh results in "fatal: ambiguous argument '': unknown revision or path not in the working tree." [\#750](https://github.com/tj-actions/changed-files/issues/750)
**Merged pull requests:**
- Updated README.md [\#811](https://github.com/tj-actions/changed-files/pull/811) ([jackton1](https://github.com/jackton1))
- fix: pulling current branch history [\#810](https://github.com/tj-actions/changed-files/pull/810) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.4.2 [\#808](https://github.com/tj-actions/changed-files/pull/808) ([jackton1](https://github.com/jackton1))
## [v34.4.2](https://github.com/tj-actions/changed-files/tree/v34.4.2) (2022-11-15)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.1...v34.4.2)
**Fixed bugs:**
- \[BUG\] Infinite loop on v34.4.0 [\#803](https://github.com/tj-actions/changed-files/issues/803)
- Unable to locate a common ancestor between production\_migration and HEAD [\#802](https://github.com/tj-actions/changed-files/issues/802)
**Merged pull requests:**
- fix: bug with retrieving the last remote commit [\#806](https://github.com/tj-actions/changed-files/pull/806) ([jackton1](https://github.com/jackton1))
## [v34.4.1](https://github.com/tj-actions/changed-files/tree/v34.4.1) (2022-11-15)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.0...v34.4.1)
**Fixed bugs:**
- \[BUG\] Very simple branch gives: "Unable to find merge-base between main and HEAD." [\#797](https://github.com/tj-actions/changed-files/issues/797)
**Merged pull requests:**
- chore: update sync-release-version.yml [\#805](https://github.com/tj-actions/changed-files/pull/805) ([jackton1](https://github.com/jackton1))
- fix: finding merge-base [\#804](https://github.com/tj-actions/changed-files/pull/804) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.4.0 [\#800](https://github.com/tj-actions/changed-files/pull/800) ([jackton1](https://github.com/jackton1))
## [v34.4.0](https://github.com/tj-actions/changed-files/tree/v34.4.0) (2022-11-11)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.4...v34.4.0)
**Fixed bugs:**
- \[BUG\] Specfic File Bug in v33 / v34 - grep: : No such file or directory [\#795](https://github.com/tj-actions/changed-files/issues/795)
- \[BUG\] Please verify that the previous sha is valid, and increase the fetch\_depth to a number higher than 40. [\#790](https://github.com/tj-actions/changed-files/issues/790)
**Merged pull requests:**
- chore: update test [\#799](https://github.com/tj-actions/changed-files/pull/799) ([jackton1](https://github.com/jackton1))
- feat: skip merge-base check for non shallow clones and fallback to using --fork-point [\#798](https://github.com/tj-actions/changed-files/pull/798) ([jackton1](https://github.com/jackton1))
- chore: update bug issue template [\#796](https://github.com/tj-actions/changed-files/pull/796) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.3.4 [\#794](https://github.com/tj-actions/changed-files/pull/794) ([jackton1](https://github.com/jackton1))
- chore: update readme [\#793](https://github.com/tj-actions/changed-files/pull/793) ([jackton1](https://github.com/jackton1))
## [v34.3.4](https://github.com/tj-actions/changed-files/tree/v34.3.4) (2022-11-08)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.3.4)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-11-08)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.3...v34)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.3...v34.3.4)
**Merged pull requests:**
@@ -16,7 +83,7 @@
## [v34.3.3](https://github.com/tj-actions/changed-files/tree/v34.3.3) (2022-11-08)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.2...v34.3.3)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.1...v34.3.3)
**Fixed bugs:**
@@ -35,13 +102,13 @@
- chore: update readme [\#784](https://github.com/tj-actions/changed-files/pull/784) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.3.2 [\#781](https://github.com/tj-actions/changed-files/pull/781) ([jackton1](https://github.com/jackton1))
## [v34.3.2](https://github.com/tj-actions/changed-files/tree/v34.3.2) (2022-11-07)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.1...v34.3.2)
## [v34.3.1](https://github.com/tj-actions/changed-files/tree/v34.3.1) (2022-11-07)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.0...v34.3.1)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.2...v34.3.1)
## [v34.3.2](https://github.com/tj-actions/changed-files/tree/v34.3.2) (2022-11-07)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.0...v34.3.2)
**Fixed bugs:**
@@ -132,7 +199,6 @@
**Fixed bugs:**
- \[BUG\] diff-sha.sh results in "fatal: ambiguous argument '': unknown revision or path not in the working tree." [\#750](https://github.com/tj-actions/changed-files/issues/750)
- \[BUG\] Action failing on PR with "Unable to find merge-base in shallow clone" [\#737](https://github.com/tj-actions/changed-files/issues/737)
- \[BUG\] Wrong changed-files returned for forked PRs [\#714](https://github.com/tj-actions/changed-files/issues/714)
@@ -219,7 +285,7 @@
## [v34.0.0](https://github.com/tj-actions/changed-files/tree/v34.0.0) (2022-10-25)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33...v34.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33.0.0...v34.0.0)
**Fixed bugs:**
@@ -232,13 +298,13 @@
- feat: add support for fetching more history [\#709](https://github.com/tj-actions/changed-files/pull/709) ([jackton1](https://github.com/jackton1))
- Upgraded to v33.0.0 [\#707](https://github.com/tj-actions/changed-files/pull/707) ([jackton1](https://github.com/jackton1))
## [v33](https://github.com/tj-actions/changed-files/tree/v33) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33.0.0...v33)
## [v33.0.0](https://github.com/tj-actions/changed-files/tree/v33.0.0) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v33.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33...v33.0.0)
## [v33](https://github.com/tj-actions/changed-files/tree/v33) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v33)
**Closed issues:**
@@ -257,13 +323,13 @@
- chore\(deps\): update tj-actions/verify-changed-files action to v12 [\#696](https://github.com/tj-actions/changed-files/pull/696) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v32.1.2 [\#695](https://github.com/tj-actions/changed-files/pull/695) ([jackton1](https://github.com/jackton1))
## [v32.1.2](https://github.com/tj-actions/changed-files/tree/v32.1.2) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v32.1.2)
## [v32](https://github.com/tj-actions/changed-files/tree/v32) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v32)
## [v32.1.2](https://github.com/tj-actions/changed-files/tree/v32.1.2) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32.1.2)
**Fixed bugs:**
@@ -1860,7 +1926,7 @@
## [v7](https://github.com/tj-actions/changed-files/tree/v7) (2021-06-09)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6...v7)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.3...v7)
**Closed issues:**
@@ -1876,13 +1942,13 @@
- Update tj-actions/sync-release-version action to v8.7 [\#86](https://github.com/tj-actions/changed-files/pull/86) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v6.3 [\#85](https://github.com/tj-actions/changed-files/pull/85) ([jackton1](https://github.com/jackton1))
## [v6](https://github.com/tj-actions/changed-files/tree/v6) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.3...v6)
## [v6.3](https://github.com/tj-actions/changed-files/tree/v6.3) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.2...v6.3)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6...v6.3)
## [v6](https://github.com/tj-actions/changed-files/tree/v6) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.2...v6)
**Merged pull requests:**

View File

@@ -162,7 +162,7 @@ Support this project with a :star:
| base\_sha | string | false | | Specify a different base commit<br>SHA used for comparing changes<br> |
| diff\_relative | string | false | | Exclude changes outside the current<br>directory and show pathnames relative<br>to it. **NOTE:** This requires<br>you to specify the top<br>level directory via the `path`<br>input. |
| dir\_names | string | false | `"false"` | Output unique changed directories instead<br>of filenames. **NOTE:** This returns<br>`.` for changed files located<br>in the root of the<br>project. |
| fetch\_depth | string | false | `"40"` | Limit depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| fetch\_depth | string | false | `"40"` | Initial depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| files | string | false | | File and directory patterns to<br>detect changes using only these<br>list of file(s) (Defaults to<br>the entire repo) **NOTE:** Multiline<br>file/directory patterns should not include<br>qoutes. |
| files\_from\_source\_file | string | false | | Source file(s) used to populate<br>the `files` input. |
| files\_ignore | string | false | | Ignore changes to these file(s)<br>**NOTE:** Multiline file/directory patterns should<br>not include qoutes. |
@@ -336,8 +336,7 @@ See [outputs](#outputs) for a list of all available outputs.
id: changed-files-specific-source-file
uses: tj-actions/changed-files@v34
with:
files_from_source_file: |
test/changed-files-list.txt
files_from_source_file: test/changed-files-list.txt
...
```

View File

@@ -78,7 +78,7 @@ inputs:
required: false
default: "false"
fetch_depth:
description: "Limit depth of the branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
description: "Initial depth of the branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
required: false
default: "40"
max_fetch_depth:

View File

@@ -5,6 +5,8 @@ set -euo pipefail
INITIAL_COMMIT="false"
GITHUB_OUTPUT=${GITHUB_OUTPUT:-""}
EXTRA_ARGS="--no-tags"
PREVIOUS_SHA=""
CURRENT_SHA=""
if [[ "$GITHUB_REF" == "refs/tags/"* ]]; then
EXTRA_ARGS=""
@@ -145,6 +147,10 @@ else
echo "Running on a pull request event..."
TARGET_BRANCH=$GITHUB_BASE_REF
CURRENT_BRANCH=$GITHUB_HEAD_REF
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "true" ]]; then
TARGET_BRANCH=$CURRENT_BRANCH
fi
echo "Fetching remote refs..."
@@ -152,6 +158,9 @@ else
# shellcheck disable=SC2086
git fetch -u --progress $EXTRA_ARGS --depth="$INPUT_FETCH_DEPTH" origin +refs/heads/"$TARGET_BRANCH":refs/remotes/origin/"$TARGET_BRANCH"
git branch --track "$TARGET_BRANCH" origin/"$TARGET_BRANCH" 2>/dev/null || true
else
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --depth="$INPUT_FETCH_DEPTH" origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH"
fi
echo "::debug::Getting HEAD SHA..."
@@ -182,40 +191,20 @@ else
echo "::debug::Current SHA: $CURRENT_SHA"
fi
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "false" ]]; then
if [[ -f .git/shallow ]]; then
depth=$INPUT_FETCH_DEPTH
max_depth=$INPUT_MAX_FETCH_DEPTH
while [ -z "$( git merge-base --fork-point "$TARGET_BRANCH" HEAD )" ] || [ -z "$(git merge-base "$TARGET_BRANCH" HEAD)" ]; do
depth=$((depth + 300))
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS --deepen="$depth" origin "$TARGET_BRANCH" HEAD;
if [[ $depth -gt $max_depth ]]; then
echo "::error::Unable to locate a common ancestor between $TARGET_BRANCH and HEAD"
exit 1
fi
done
else
echo "::debug::Not a shallow clone, skipping merge-base check."
fi
fi
if [[ -z $INPUT_BASE_SHA ]]; then
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "true" ]]; then
PREVIOUS_SHA=$GITHUB_EVENT_BEFORE
if ! git rev-parse --quiet --verify "$PREVIOUS_SHA^{commit}" 1>/dev/null 2>&1; then
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
fi
if [[ -z "$PREVIOUS_SHA" || "$PREVIOUS_SHA" == "0000000000000000000000000000000000000000" ]]; then
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
# shellcheck disable=SC2046
PREVIOUS_SHA=$(git rev-parse origin/"$CURRENT_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
fi
else
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$GITHUB_EVENT_PULL_REQUEST_BASE_SHA && exit_status=$? || exit_status=$?
if ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" 1>/dev/null 2>&1; then
PREVIOUS_SHA=$(git rev-parse origin/"$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
fi
fi
if [[ -z "$PREVIOUS_SHA" || "$PREVIOUS_SHA" == "$CURRENT_SHA" ]]; then
@@ -230,6 +219,29 @@ else
echo "::debug::Target branch: $TARGET_BRANCH"
echo "::debug::Current branch: $CURRENT_BRANCH"
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "false" ]]; then
if [[ -f .git/shallow ]]; then
depth=$INPUT_FETCH_DEPTH
max_depth=$INPUT_MAX_FETCH_DEPTH
while ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" 1>/dev/null; do
echo "Fetching $depth commits..."
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --deepen="$depth" origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH"
if [[ $depth -gt $max_depth ]]; then
echo "::error::Unable to locate a common ancestor between $TARGET_BRANCH and $CURRENT_SHA"
exit 1
fi
depth=$((depth + 300))
done
else
echo "::debug::Not a shallow clone, skipping merge-base check."
fi
fi
echo "::debug::Verifying the previous commit SHA: $PREVIOUS_SHA"
git rev-parse --quiet --verify "$PREVIOUS_SHA^{commit}" 1>/dev/null 2>&1 && exit_status=$? || exit_status=$?